%define major  2
%define libname %mklibname %{name} %{major}
%define resizemajor 0
%define libresize %mklibname %{name}-fs-resize %{resizemajor}
%define develname %mklibname %{name} -d
%define Werror_cflags %nil
%define _disable_ld_no_undefined 1

Name:           parted
Version:        3.6
Release:        %mkrel 2
Summary:        Flexible partitioning tool
License:        GPLv3+
Group:          System/Kernel and hardware
URL:            http://www.gnu.org/software/parted/
Source0:        https://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz
BuildRequires:  lib64devmapper-devel
BuildRequires:  gettext-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  pkgconfig(uuid)
BuildRequires:  libgpm-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  readline-devel
BuildRequires:  python3
BuildRequires:	util-linux
BuildRequires:	texinfo
BuildRequires:	locales

Requires:   python3-parted

%package -n %{libname}
Summary:        The parted library
Group:          System/Libraries
Requires:       e2fsprogs

%package -n %{develname}
Summary:        Files required to compile software that uses libparted
Group:          Development/Libraries
Requires:       e2fsprogs
Requires:       %{libname} = %{version}
Provides:       libparted-devel = %{version}
Provides:       parted-devel = %{version}

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganizing disk
usage, and copying data to new hard disks.

%description -n %{libname}
This package includes the dynamic libraries

%description -n %{develname}
This package includes the header files and libraries needed to
link software with libparted.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure2_5x --disable-static --disable-gcc-warnings
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%{_sbindir}/*
%{_mandir}/man*/*
%{_infodir}/parted.info*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%{_libdir}/lib%{name}-fs-resize.so.%{resizemajor}
%{_libdir}/lib%{name}-fs-resize.so.%{resizemajor}.*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libparted.pc
%{_libdir}/pkgconfig/libparted-fs-resize.pc


%changelog
* Sun Feb 04 2024 tex - 3.6-2pclos2024
- rebuild against updates

* Tue Sep 05 2023 tex - 3.6-1pclos2023
- new version

* Thu Dec 31 2020 tex - 3.3-3pclos2021
- rebuild against updates

